# class Gem::SourceFetchProblem

An error that indicates we weren’t able to fetch some data from a source

### Attributes

error[R]

The fetch error which is an `Exception` subclass.

exception[R]

The fetch error which is an `Exception` subclass.

source[R]

The source that had the fetch problem.

### Public Class Methods

new(source, error) click to toggle source

Creates a new `SourceFetchProblem` for the given `source` and `error`.

    # File lib/rubygems/errors.rb, line 153
    def initialize(source, error)
      @source = source
      @error = error
    end

### Public Instance Methods

wordy() click to toggle source

An `English` description of the error.

    # File lib/rubygems/errors.rb, line 171
    def wordy
      "Unable to download data from #{Gem::Uri.redact(@source.uri)} - #{@error.message}"
    end